Only in gbackground-1.1/: AUTHORS
Only in gbackground-1.1/: ChangeLog
Common subdirectories: gbackground/debian and gbackground-1.1/debian
diff -u gbackground/gbackground gbackground-1.1/gbackground
--- gbackground/gbackground	2009-06-26 01:45:55.000000000 +0200
+++ gbackground-1.1/gbackground	2009-01-17 05:22:46.000000000 +0100
@@ -6,147 +6,147 @@
 use UI::Dialog::Backend::Zenity;
 use Switch;
 
-## Variables Declaration
+## Declarando Variables
 
-my($program, $main_window, $background_path, $exit_button, $path_images, $pid, $label_number_of_seconds, $number_of_seconds, $label_status, $about_window, $about, $preferences_window, $filechooserbutton, $file_choose);
+my($programa, $ventana_principal, $fondo_path, $boton_salir, $path_images, $pid_programa, $etiqueta_numero_de_segundos, $numero_de_segundos, $label_estado, $ventana_acerca_de, $acerca_de, $ventana_preferencias, $filechooserbutton, $file_chosse);
 
-my(@status, $home_directory, $path, $path_pid, $last_background);
+my(@estado, $home_directory, $parte_del_path, $path, $path_pid, $nombre_ultimo_fondo);
 
-## From Preferences window
-my($return_value_widget, $type_of_change_widget, $type_of_change, $last_change);
-my $return_value = 1;
+## De la ventana de preferencias
+my($deja_ultimo_fondo_widget, $tipo_de_cambio_widget, $tipo_de_cambio, $cambio_definitivo);
+my $deja_ultimo_fondo = 1;
 
-&trash;
+&basura;
 
-## Loading from UI::Dialog
-my $window_dialogs = new UI::Dialog::Backend::Zenity(title => "Gbackground",
+## Cargando todo el UI::Dialog
+my $ventanas_dialogs = new UI::Dialog::Backend::Zenity(title => "Gbackground",
 						       height => 45, width => 50, 
 						       listheight => 5,
 						       order => [ 'zenity', 'xdialog', 'gdialog']
 						       );
 
-# Loading a window
+# Para cuando voy a empaquetar
 
 if (-e 'glade/gbackground.glade'){
-	$program = Gtk2::GladeXML->new('glade/gbackground.glade');
+	$programa = Gtk2::GladeXML->new('glade/gbackground.glade');
 } else {
-	$program = Gtk2::GladeXML->new('/usr/share/gbackground/gbackground.glade');
+	$programa = Gtk2::GladeXML->new('/usr/share/gbackground/gbackground.glade');
 }
 
-# Window loading
+# Cargando Ventanas
 
-&load_widgets;
+&cargar_widgets;
 
 # Signals
-$program->signal_autoconnect_from_package('main');
+$programa->signal_autoconnect_from_package('main');
 
-## Changes check
+## Verificando el estado del programa
 
-&check_status;
+&verificando_estado;
 
 Gtk2->main;
 
-## Subroutines ##
-sub trash {
-	@status = ("<span foreground=\"blue\">Running</span>", "<span foreground=\"red\">Stopped</span>");
+## Funciones ##
+sub basura {
+	@estado = ("<span foreground=\"blue\">Running</span>", "<span foreground=\"red\">Stoped</span>");
 	$home_directory = $ENV{HOME};
 	$path_pid = $home_directory . "/.gbackground" . "/gbackground.pid";
-	$last_change = 'stretched';
+	$cambio_definitivo = 'stretched';
 }
-sub load_widgets {
-	$main_window = $program->get_widget('main_window');
-	$preferences_window = $program->get_widget('preferences_window');
-	$label_number_of_seconds = $program->get_widget('select_seconds');
-	$label_status = $program->get_widget('label_program_status');
-	$about_window = $program->get_widget('about_window');
-	$about = $program->get_widget('about_window');
-	$return_value_widget = $program->get_widget('keep_last_bground_combobox');
-	$type_of_change_widget = $program->get_widget('background_options_select');
-	$filechooserbutton = $program->get_widget('filechooserbutton');
+sub cargar_widgets {
+	$ventana_principal = $programa->get_widget('ventana_principal');
+	$ventana_preferencias = $programa->get_widget('ventana_preferencias');
+	$etiqueta_numero_de_segundos = $programa->get_widget('etiqueta_numero_de_segundos');
+	$label_estado = $programa->get_widget('label_estado');
+	$ventana_acerca_de = $programa->get_widget('Acerca_de');
+	$acerca_de = $programa->get_widget('acerca_de');
+	$deja_ultimo_fondo_widget = $programa->get_widget('ventana_preferencias_fondo');
+	$tipo_de_cambio_widget = $programa->get_widget('combobox1');
+	$filechooserbutton = $programa->get_widget('filechooserbutton');
 	$filechooserbutton->set_current_folder_uri("/usr/share/images/desktop-base/");
 }
 
-sub check_status {
+sub verificando_estado {
 	if(-e $path_pid){
-	        $label_status->set_markup("@status[0]");
+	        $label_estado->set_markup("@estado[0]");
 	}else{
-	        $label_status->set_markup("@status[1]");
+	        $label_estado->set_markup("@estado[1]");
 	}
 }
 
-sub on_start_button_event {
+sub on_boton_iniciar_clicked {
 	$path_images = $filechooserbutton->get_filename;
-	$last_background = `gconftool-2 --get /desktop/gnome/background/picture_filename`;
-	$last_background =~ s/\s/\\ /g;
+	$nombre_ultimo_fondo = `gconftool-2 --get /desktop/gnome/background/picture_filename`;
+	$nombre_ultimo_fondo =~ s/\s/\\ /g;
 	if(-e "$path_pid"){
-		$window_dialogs->error(title => 'Error!!', text => 'Gbackground <b>is already</b> working');
+		$ventanas_dialogs->error(title => 'Error!!', text => 'Gbackground <b>is already</b> working');
 		}
 	else{
 		if(-e $path_images){
-			$number_of_seconds = $label_number_of_seconds->get_text();
+			$numero_de_segundos = $etiqueta_numero_de_segundos->get_text();
 			$path_images =~ s/\s/\\ /g;
 			if(-e './gbackgroundD'){
-				system("perl ./gbackgroundD \"$path_images\" $number_of_seconds $last_change \&");
+				system("perl ./gbackgroundD \"$path_images\" $numero_de_segundos $cambio_definitivo \&");
 			} else {
-				system("perl /usr/share/gbackground/gbackgroundD \"$path_images\" $number_of_seconds $last_change \&");
+				system("perl /usr/share/gbackground/gbackgroundD \"$path_images\" $numero_de_segundos $cambio_definitivo \&");
 			}
 			
 			sleep 1; # Esto es por que muchas veces tarda en crear el gbackground.pid
-			$label_status->set_markup("@status[0]") if(-e "$path_pid");
-			$window_dialogs->msgbox(title => "Daemon Gbackground", text => 'Gbackground has started <b>successfully</b>');	
+			$label_estado->set_markup("@estado[0]") if(-e "$path_pid");
+			$ventanas_dialogs->msgbox(title => "Daemon Gbackground", text => 'Gbackground has started <b>successfully</b>');	
 		}
 		else{
-			$window_dialogs->error(title => "Error, dir doesn't exist", text => 'The directory that you introduced <b>is not valid</b>, please verify it and try again');	
+			$ventanas_dialogs->error(title => "Error, dir doesn't exist", text => 'The directory that you introduced <b>is not valid</b>, please verify it and try again');	
 		}
 	}
 }
-sub on_stop_button_event {
+sub on_boton_parar_clicked {
 	if(-e "$path_pid"){
 		open(ARCHIVO_PID, "$path_pid");
 		while(<ARCHIVO_PID>){
-			$pid = $_;
+			$pid_programa = $_;
 		}
-		system("kill -9 $pid");
+		system("kill -9 $pid_programa");
 		system("rm -f $path_pid");
-		if($return_value == 1){
-				system("gconftool-2 -t str -s /desktop/gnome/background/picture_filename $last_background");
+		if($deja_ultimo_fondo == 1){
+				system("gconftool-2 -t str -s /desktop/gnome/background/picture_filename $nombre_ultimo_fondo");
 		}
-		$window_dialogs->msgbox(title => "Daemon Gbackground", text => 'Gbackground has been <b>stopped</b> successfully'); 
-		$window_dialogs->error(title => 'Error!!', text => 'Error, it was not possible to stop Gbackground. Probably because it <b>is not</b> running') if(-e "$path_pid");
+		$ventanas_dialogs->msgbox(title => "Daemon Gbackground", text => 'Gbackground has been <b>stopped</b> successfully'); 
+		$ventanas_dialogs->error(title => 'Error!!', text => 'Error, it was not possible to stop Gbackground. Probably because it <b>is not</b> running') if(-e "$path_pid");
 	}else{
-		$window_dialogs->error(title => 'Error!!', text => 'Gbackground <b>is not</b> running');	
+		$ventanas_dialogs->error(title => 'Error!!', text => 'Gbackground <b>is not</b> running');	
 	}
-	&check_status;
+	&verificando_estado;
 }
 
-sub on_preferences_accept_button_event {
-	$return_value = $return_value_widget->get_active;
-	$last_change = $type_of_change_widget->get_active_text();
-	$preferences_window->hide;
+sub on_ventana_preferencias_boton_aceptar_clicked {
+	$deja_ultimo_fondo = $deja_ultimo_fondo_widget->get_active;
+	$cambio_definitivo = $tipo_de_cambio_widget->get_active_text();
+	$ventana_preferencias->hide;
 }
 
-## Para que cuando cierren las ventanas y las vuelvan a abrir no desaparezcan??
-sub on_about_delete_event {
+## Para que cuando cierren las ventanas y las vuelvan a abrir no desaparezcan
+sub on_acerca_de_delete_event {
     my $w = shift;
     $w->hide;
     1; 
 }
 
-sub on_preferences_delete_event {
+sub on_ventana_preferencias_delete_event {
     my $w = shift;
     $w->hide;
     1; 
 }
 
-sub on_main_window_delete_event {Gtk2->main_quit;}
-sub on_exit_menu_event {Gtk2->main_quit;}
-sub on_quit_event {Gtk2->main_quit;}
-sub on_quit_button_event {Gtk2->main_quit;}
-sub on_about_menu_event {$about->present;}
-sub on_preferences_event {
-	my $value = $type_of_change_widget->set_active("1");
-	$preferences_window->show_all;
-}
-sub on_preferences_cancel_button_event {$preferences_window->hide;}
-sub on_about_close_button_event {$about->hide;}
-sub on_about_response_event { $about->hide;}
+sub on_ventana_principal_delete_event {Gtk2->main_quit;}
+sub on_boton_salir_clicked {Gtk2->main_quit;}
+sub on_quit1_activate {Gtk2->main_quit;}
+sub on_salir1_activate {Gtk2->main_quit;}
+sub on_acerca_de1_activate {$acerca_de->present;}
+sub on_preferencias1_activate {
+	my $valor = $tipo_de_cambio_widget->set_active("1");
+	$ventana_preferencias->show_all;
+}
+sub on_ventana_preferencias_boton_cancelar_clicked {$ventana_preferencias->hide;}
+sub on_acerca_de_close {$acerca_de->hide;}
+sub on_acerca_de_response { $acerca_de->hide;}
diff -u gbackground/gbackgroundD gbackground-1.1/gbackgroundD
--- gbackground/gbackgroundD	2009-06-25 16:45:52.000000000 +0200
+++ gbackground-1.1/gbackgroundD	2009-01-17 05:14:50.000000000 +0100
@@ -2,41 +2,41 @@
 use strict;
 use Proc::PID::File;
 
-my ($background_path, $seconds , @png_list, @jpg_list, @ALL_FILES, $background, $configuring_pid, $type_of_change);
+my ($fondo_path, $segundos , @archivos_png, @archivos_jpg, @TODOS_ARCHIVOS, $background, $configurando_pid, $tipo_de_cambio);
 my $home_directory = $ENV{HOME};
 my $path = $home_directory . '/.gbackground';
 
-sub start_daemon {
-	$configuring_pid = Proc::PID::File->running(dir => "$path", name => "gbackground" );
+sub crear_demonio {
+	$configurando_pid = Proc::PID::File->running(dir => "$path", name => "gbackground" );
 	while(1){
-		system("gconftool-2 -t str -s /desktop/gnome/background/picture_options $type_of_change");
-		$background = $ALL_FILES[rand(scalar(@ALL_FILES))];
+		system("gconftool-2 -t str -s /desktop/gnome/background/picture_options $tipo_de_cambio");
+		$background = $TODOS_ARCHIVOS[rand(scalar(@TODOS_ARCHIVOS))];
 		system("gconftool-2 -t str -s /desktop/gnome/background/picture_filename \"$background\"");
-		sleep($seconds);
+		sleep($segundos);
 	}
 }
 
-$background_path = "$ARGV[0]";
-$seconds = $ARGV[1];
-$type_of_change = $ARGV[2];
+$fondo_path = "$ARGV[0]";
+$segundos = $ARGV[1];
+$tipo_de_cambio = $ARGV[2];
 
-$seconds = '2' if $seconds eq '';
+$segundos = '2' if $segundos eq '';
 
-foreach (@jpg_list = glob("$background_path/*\.jpg")){
-	push @ALL_FILES, $_;
+foreach (@archivos_jpg = glob("$fondo_path/*\.jpg")){
+	push @TODOS_ARCHIVOS, $_;
 }
 
-foreach (@png_list = glob("$background_path/*\.png")) {
-	push @ALL_FILES, $_;
+foreach (@archivos_png = glob("$fondo_path/*\.png")) {
+	push @TODOS_ARCHIVOS, $_;
 }
 
 
 if(-e "$path") {
-	&start_daemon;
+	&crear_demonio;
 }
 else {
 	mkdir("$path", 0777);
 	chmod(0777, "$path");
-	&start_daemon;
+	&crear_demonio;
 }
 
Common subdirectories: gbackground/glade and gbackground-1.1/glade
Common subdirectories: gbackground/icon and gbackground-1.1/icon
Only in gbackground-1.1/: LICENSE
Only in gbackground/: .project
Only in gbackground-1.1/: README
